# VFXPreset

VFXPreset : `Instance`

## Overview

게임에서 자주 사용되는 불, 폭발, 배리어, 회복 등의 효과를 사전 정의된 이펙트 중 선택하여 표현할 수 있는 인스턴스입니다.

## Properties

### Color

`ColorSequence`

VFXPreset의 색상을 ColorSequence로 설정할 수 있습니다.

ColorSequence에 시작 지점과 끝 지점의 색상을 다르게 설정하여 색상이 점진적으로 변화하도록 표현할 수 있습니다.

#### Code Samples

```lua
local VFXPreset = script.Parent

local Time1 = 0
local Time2 = 0.5

local ColorKeyPoints =
{
    ColorSequenceKeypoint.new(Time1, Color3.fromRGB(255, 0, 0)),
    ColorSequenceKeypoint.new(Time2, Color3.fromRGB(0, 0, 255))
}

VFXPreset.Color = ColorSequence.new(ColorKeyPoints)
```

### Enabled

`boolean`

VFXPreset의 표시 여부를 설정합니다.

#### Code Samples

```lua
local VFXPreset = script.Parent

VFXPreset.Enabled = true
wait(3)
VFXPreset.Enabled = false
```

### InfiniteLoop

`boolean`

VFXPreset의 재생을 무한 반복할지 여부를 설정합니다.

이 값이 true로 설정된 경우, Loop Count 설정값은 무시되며 무한 반복이 우선적으로 적용됩니다.

#### Code Samples

### LoopCount

`number`

VFXPreset의 재생 반복 횟수를 설정합니다.

Infinite Loop가 false로 설정된 경우에만 해당 값이 적용됩니다.

#### Code Samples

### PresetName

`string`

VFXPreset에 적용할 외형 프리셋의 이름을 지정합니다.

유효하지 않거나 존재하지 않는 프리셋 이름을 입력한 경우, 값은 적용되지 않고 기존 설정이 유지됩니다.

#### Code Samples

```lua
local VFXPreset = script.Parent

VFXPreset.PresetName = "Blink"
```

### Size

`number`

VFXPreset의 크기를 설정할 수 있습니다.

#### Code Samples

```lua
local VFXPreset = script.Parent

VFXPreset.Size = 2
```

### Transparency

`number`

VFXPreset의 투명도를 설정할 수 있습니다.

#### Code Samples

```lua
local VFXPreset = script.Parent

VFXPreset.Transparency = 0.5
```

## Methods

### Clear

현재 렌더링 중인 이펙트를 초기화합니다.

ParticleEmitter의 Clear는 입자를 제거하지만, 이 메서드는 이펙트를 재실행합니다.

#### Parameters

#### Return

| `void` |   |
| ------ | - |

#### Code Samples

### Emit

지정한 수의 파티클을 동시에 생성하는 기능을 제공합니다.

#### Parameters

| `number` ParticleCount | 생성할 파티클의 개수입니다. |
| ---------------------- | --------------- |

#### Return

| `void` |   |
| ------ | - |

#### Code Samples

## Events

## See also


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/vfxpreset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
